LibreOffice: XToolkit2 Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
XToolkit2 Interface Referencepublished

Provides a unified interface for the new-style service Toolkit to implement. More...

Inheritance diagram for XToolkit2:

## Exported Interfaces
interface | XToolkit
interface | com::sun::star::awt::XDataTransferProviderAccess
interface | com::sun::star::awt::XSystemChildFactory
interface | com::sun::star::awt::XMessageBoxFactory
interface | com::sun::star::awt::XExtendedToolkit
interface | com::sun::star::awt::XReschedule

## Additional Inherited Members
Public Member Functions inherited from XToolkit
com::sun::star::awt::XWindowPeer | getDesktopWindow ()
| returns the desktop window.
com::sun::star::awt::Rectangle | getWorkArea ()
| For LibreOffice versions < 4.1, this method just returned an empty rectangle.
com::sun::star::awt::XWindowPeer | createWindow ([in] com::sun::star::awt::WindowDescriptor Descriptor) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a new window using the given descriptor.
sequence< com::sun::star::awt::XWindowPeer > | createWindows ([in] sequence< com::sun::star::awt::WindowDescriptor > Descriptors) raises ( com::sun::star::lang::IllegalArgumentException )
| returns a sequence of windows which are newly created using the given descriptors.
com::sun::star::awt::XDevice | createScreenCompatibleDevice ([in] long Width, [in] long Height)
| creates a virtual device that is compatible with the screen.
com::sun::star::awt::XRegion | createRegion ()
| creates a region.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XDataTransferProviderAccess
com::sun::star::datatransfer::dnd::XDragGestureRecognizer | getDragGestureRecognizer ([in] XWindow window)
| returns the drag gesture recognizer of the specified window.
com::sun::star::datatransfer::dnd::XDragSource | getDragSource ([in] XWindow window)
| returns the drag source of the specified window.
com::sun::star::datatransfer::dnd::XDropTarget | getDropTarget ([in] XWindow window)
| returns the drop target of the specified window.
com::sun::star::datatransfer::clipboard::XClipboard | getClipboard ([in] string clipboardName)
| returns the specified clipboard.
Public Member Functions inherited from XSystemChildFactory
XWindowPeer | createSystemChild ([in] any Parent, [in] sequence< byte > ProcessId, [in] short SystemType)
| creates a system child window.
Public Member Functions inherited from XMessageBoxFactory
XMessageBox | createMessageBox ([in] com::sun::star::awt::XWindowPeer aParent, [in] MessageBoxType eType, [in] long nButtons, [in] string sTitle, [in] string sMessage)
| creates a message box.
Public Member Functions inherited from XExtendedToolkit
long | getTopWindowCount ()
| This function returns the number of currently existing top-level windows.
::com::sun::star::awt::XTopWindow | getTopWindow ([in] long nIndex) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Return a reference to the specified top-level window.
::com::sun::star::awt::XTopWindow | getActiveTopWindow ()
| Return the currently active top-level window, i.e.
void | addTopWindowListener ([in] ::com::sun::star::awt::XTopWindowListener xListener)
| Add a new listener that is called for events that involve com::sun::star::awt::XTopWindow.
void | removeTopWindowListener ([in] ::com::sun::star::awt::XTopWindowListener xListener)
| Remove the specified listener from the list of listeners.
void | addKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Add a new listener that is called on com::sun::star::awt::KeyEvent.
void | removeKeyHandler ([in] ::com::sun::star::awt::XKeyHandler xHandler)
| Remove the specified listener from the list of listeners.
void | addFocusListener ([in] ::com::sun::star::awt::XFocusListener xListener)
| Add a new listener that is called on com::sun::star::awt::FocusEvent.
void | removeFocusListener ([in] ::com::sun::star::awt::XFocusListener xListener)
| Remove the specified listener from the list of listeners.
void | fireFocusGained ([in] ::com::sun::star::uno::XInterface source)
| Broadcasts the a focusGained on all registered focus listeners.
void | fireFocusLost ([in] ::com::sun::star::uno::XInterface source)
| Broadcasts the a focusGained on all registered focus listeners.
Public Member Functions inherited from XReschedule
void | reschedule ()
| Allow the main thread to process some events.

## Detailed Description

Provides a unified interface for the new-style service Toolkit to implement.

Since
  LibreOffice 4.0

## Exported Interfaces

## ◆ com::sun::star::awt::XDataTransferProviderAccess

interface com::sun::star::awt::XDataTransferProviderAccess

## ◆ com::sun::star::awt::XExtendedToolkit

interface com::sun::star::awt::XExtendedToolkit

## ◆ com::sun::star::awt::XMessageBoxFactory

interface com::sun::star::awt::XMessageBoxFactory

## ◆ com::sun::star::awt::XReschedule

interface com::sun::star::awt::XReschedule

## ◆ com::sun::star::awt::XSystemChildFactory

interface com::sun::star::awt::XSystemChildFactory

## ◆ XToolkit

interface XToolkit

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XToolkit2.idl